function [Mdados,j]=fv_2x2_def(A,Mdados,j)

disp('This is a subroutine of the main routine fv_algorithm_A.m');
disp(' ');
disp('This subroutine make the plot of the field of values of the compression matrices Axy');
disp('This is a subroutine is based in the Elliptical Range Theorem');

disp('Programmers:')
disp('Ana Nata (Polytechnic Institute of Tomar, Portugal)')
disp('e-mail: anata@ipt.pt')
disp('J.P. da Providncia (University of Beira Interior, Covilh, Portugal)') 
disp('e-mail: joaodaprovidencia@daad-alumni.de')
disp('Based on a joint work with Natlia Bebiano and J. da Providncia')
disp('University of Coimbra, Portugal')
disp(' ');
disp('December 2013')
disp(' ');

%%
Z=eig(A); %Eigenvalues of the matrix A; 
B=transpose(conj(A)); 
N=trace(B*A)-abs(Z(1,1))^2-abs(Z(2,1))^2; 
M=trace(B*A)-2*real(conj(Z(1,1))*Z(2,1)); 
imeigenvaluesmatrizaxy2e1=imag(Z(2,1))-imag(Z(1,1));
reeigenvaluesmatrizaxy2e1=real(Z(2,1))-real(Z(1,1));
    if abs(imeigenvaluesmatrizaxy2e1)<abs(reeigenvaluesmatrizaxy2e1)
        theta= atan(imeigenvaluesmatrizaxy2e1/reeigenvaluesmatrizaxy2e1);
    else
        theta=acot(reeigenvaluesmatrizaxy2e1/imeigenvaluesmatrizaxy2e1);
    end

%Ellipse
c=(Z(1,1)+Z(2,1))/2; %center
c1=real(c);c2=imag(c);
a=sqrt(M)/2;b=sqrt(N)/2; %length of the semi-axes
Mdados(j,:)=[c1 c2 a b theta];
j=j+1;
t=linspace(0,2*pi);
x=a*cos(t);
y=b*sin(t);
X=real(cos(theta)*x-sin(theta)*y)+c1;
Y=real(sin(theta)*x+cos(theta)*y)+c2;
plot(X,Y,'color','cyan')
hold on


  
